# Class SendAckRequestProcessor

java.lang.Object
org.apache.zookeeper.server.quorum.SendAckRequestProcessor

All Implemented Interfaces:
  `Flushable, RequestProcessor`

public class SendAckRequestProcessor extends Object implements RequestProcessor, Flushable

## Nested Class Summary

### Nested classes/interfaces inherited from interface RequestProcessor

`RequestProcessor.RequestProcessorException`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`void`
`processRequest(Request si)`
`void`
`shutdown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### processRequest

public void processRequest(Request si)

Specified by:
  `processRequest` in interface `RequestProcessor`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Throws:
  `IOException`

### shutdown

public void shutdown()

Specified by:
  `shutdown` in interface `RequestProcessor`